%global fontname lato
%global fontconf 61-%{fontname}.conf

Summary:        A sanserif typeface family
Name:           %{fontname}-fonts
Version:        2.015
Release:        5%{?dist}
License:        OFL
URL:            http://www.latofonts.com/
# This Fonts retrieved 2015-08-07 from http://www.latofonts.com/download/Lato2OFL.zip
Source0:        %{name}-%{version}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

Provides:       google-lato-fonts = %{version}-%{release}

BuildArch:      noarch

%description
Lato is a sanserif typeface family designed in the Summer 2010 by Warsaw-based designer Łukasz Dziedzic
("Lato" means "Summer" in Polish). In December 2010 the Lato family was published under the open-source
Open Font License by his foundry tyPoland, with support from Google.

When working on Lato, Łukasz tried to carefully balance some potentially conflicting priorities. He wanted
to create a typeface that would seem quite "transparent" when used in body text but would display some original
treats when used in larger sizes. He used classical proportions (particularly visible in the uppercase) to give
the letterforms familiar harmony and elegance. At the same time, he created a sleek sanserif look, which makes
evident the fact that Lato was designed in 2010 - even though it does not follow any current trend.

The semi-rounded details of the letters give Lato a feeling of warmth, while the strong structure provides
stability and seriousness. "Male and female, serious but friendly. With the feeling of the Summer," says Łukasz.

Lato consists of nine weights (plus corresponding italics), including a beautiful hairline style. It covers 2300+
glyphs per style and supports 100+ Latin-based languages, 50+ Cyrillic-based languages as well as Greek and IPA phonetics.

%prep
%setup -q -c
sed -i "s/\r//" Lato2OFL/OFL.txt
chmod 0644 Lato2OFL/{OFL.txt,README.txt}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Lato2OFL/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%files
%license Lato2OFL/OFL.txt
%doc Lato2OFL/README.txt
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf
%{_fontbasedir}/%{fontname}/*.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.015-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.015-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.015-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.015-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 2.015-1
- initial build

